package eu.jovian_hersemeule.dev.squad.squad_composer.controllers;

import org.springframework.web.bind.annotation.RestController;
import eu.jovian_hersemeule.dev.squad.squad_composer.data.jpa.PlayerEntity;
import eu.jovian_hersemeule.dev.squad.squad_composer.data.repos.PlayerRepository;

import java.util.List;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;

@RestController
@RequestMapping("/players")
public class PlayerController {

    final private PlayerRepository repo;

    PlayerController(final PlayerRepository playerRepository) {
        this.repo = playerRepository;
    }

    @GetMapping("/")
    public List<PlayerEntity> list() {
        return repo.findAll();
    }

    @GetMapping("/{id}")
    public PlayerEntity get(@PathVariable final long id) {
        return repo.findById(id).orElseThrow(() -> new RuntimeException("Player not found"));
    }
    
}
